Subject: Re: bug#50453: 27.2; Portable dumper broken on MSW

From: Po Lu <[email-masked]>
Date: Thu, 09 Sep 2021 20:40:49 +0800

Eli Zaretskii <[email-masked]> writes:

> Can you put a breakpoint in dump_map_file_w32 and verify that it is
> called?  If it is indeed called, can you step through it and see if it
> fails, and if so, how?

I tried a few times, but I gave up because Windows kept crashing.

However, the portable dumper seems to rely on a function named
`MapViewOfFileEx' at line 4499 of pdumper.c.

According to the documentation, the function is only available on
Windows XP or later; this seems to be a convincing explanation for the
failure.

Specifically, I'm referring to the "Requirements" section of:
https://docs.microsoft.com/en-us/windows/win32/api/memoryapi/nf-memoryapi-mapviewoffileex,
which states:

Minimum supported client: Windows XP [desktop apps only]

Thanks.